<?php

namespace domain\PointSale\SharedPointSale;

use domain\_\AbstractManager;
use domain\PointSale\PointSale\PointSale;
use domain\Producer\Producer\Producer;

class SharedPointSaleManager extends AbstractManager
{
    protected SharedPointSaleBuilder $sharedPointSaleBuilder;

    public function loadDependencies(): void
    {
        $this->sharedPointSaleBuilder = $this->loadService(SharedPointSaleBuilder::class);
    }

    public function createSharedPointSale(PointSale $pointSale, Producer $producerWithSharing)
    {
        $sharedPointSale = $this->sharedPointSaleBuilder->instanciateSharedPointSale($pointSale, $producerWithSharing);
        $this->sharedPointSaleBuilder->create($sharedPointSale);
    }
}